# This file is protected by Copyright. Please refer to the COPYRIGHT file
# distributed with this source distribution.
#
# This file is part of OpenCPI <http://www.opencpi.org>
#
# OpenCPI is free software: you can redistribute it and/or modify it under the
# terms of the GNU Lesser General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# OpenCPI is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
# A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
# details.
#
# You should have received a copy of the GNU Lesser General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.

include $(OCPI_CDK_DIR)/include/worker.mk

# TODO: Symlinking golay_utils.py for now since it is not put in the path. Remove
# the code for the golay_utils.py symlink when there is a general way of putting 
# python scripts in the path.
ifeq ($(filter clean%,$(MAKECMDGOALS)),)   # if not cleaning
 $(if $(call DoShell, test -e golay_utils.py || ln -s  ../../../scripts/golay_utils.py .,MyError),\
 $(error $(MyError)))
endif # if not cleaning 

gen/golay_codewords_rom.vhd:
	@echo "============================================="
	@echo "      Running gen_golay_codewords_rom.py"
	@echo "============================================="
	./gen_golay_codewords_rom.py

all: gen/golay_codewords_rom.vhd

clean::
	rm -rf golay_utils.py __pycache__